{
  "type": "minecraft:chest",
  "pools": [
    {
      "rolls": {
        "min": 1,
        "max": 3,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
          "type": "minecraft:loot_table",
          "weight": 14,
          "name": "minecraft:shared_loot_table2"
        },
        {
          "type": "minecraft:loot_table",
          "weight": 160,
          "quality": -1,
          "name": "minecraft:shared_loot_empty"
        },
        {
          "type": "minecraft:loot_table",
          "weight": 20,
          "name": "minecraft:shared_loot_table3"
        },
        {
          "type": "minecraft:loot_table",
          "weight": 6,
          "quality": 1,
          "name": "minecraft:shared_loot_table"
        }
      ]
    },
    {
      "rolls": {
        "min": 2,
        "max": 4,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
          "type": "minecraft:item",
          "weight": 5,
          "quality": 1,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 3,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:diamond"
        },
        {
          "type": "minecraft:item",
          "weight": 15,
          "quality": -2,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 5,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:iron_ingot"
        },
        {
          "type": "minecraft:item",
          "weight": 15,
          "quality": 2,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 2,
                "max": 7,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:gold_ingot"
        },
        {
          "type": "minecraft:item",
          "weight": 15,
          "quality": 2,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 3,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:emerald"
        },
        {
          "type": "minecraft:item",
          "weight": 25,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 4,
                "max": 6,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:bone"
        },
        {
          "type": "minecraft:item",
          "weight": 25,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 3,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:spider_eye"
        },
        {
          "type": "minecraft:item",
          "weight": 25,
          "quality": -3,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 3,
                "max": 7,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:rotten_flesh"
        },
        {
          "type": "minecraft:item",
          "weight": 20,
          "name": "minecraft:saddle"
        },
        {
          "type": "minecraft:item",
          "weight": 15,
          "name": "minecraft:iron_horse_armor"
        },
        {
          "type": "minecraft:item",
          "weight": 10,
          "name": "minecraft:golden_horse_armor"
        },
        {
          "type": "minecraft:item",
          "weight": 5,
          "name": "minecraft:diamond_horse_armor"
        },
        {
          "type": "minecraft:item",
          "weight": 20,
          "quality": 3,
          "functions": [
            {
              "function": "minecraft:enchant_randomly"
            }
          ],
          "name": "minecraft:book"
        },
        {
          "type": "minecraft:item",
          "weight": 20,
          "quality": 1,
          "name": "minecraft:golden_apple"
        },
        {
          "type": "minecraft:item",
          "weight": 2,
          "name": "minecraft:enchanted_golden_apple"
        },
        {
          "type": "minecraft:item",
          "weight": -1,
          "quality": 1,
          "name": "minecraft:enchanted_golden_apple"
        },
        {
          "type": "minecraft:empty",
          "weight": 15
        }
      ]
    },
    {
      "rolls": 4,
      "entries": [
        {
          "type": "minecraft:item",
          "weight": 10,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 8,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:bone"
        },
        {
          "type": "minecraft:item",
          "weight": 10,
          "quality": 2,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 8,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:gunpowder"
        },
        {
          "type": "minecraft:item",
          "weight": 10,
          "quality": -1,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 8,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:rotten_flesh"
        },
        {
          "type": "minecraft:item",
          "weight": 10,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 8,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:string"
        },
        {
          "type": "minecraft:item",
          "weight": 10,
          "quality": -10,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 8,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:sand"
        }
      ]
    },
	{
      "bonus_rolls": 0.0,
      "entries": [
        {
          "type": "minecraft:empty",
          "weight": 60,
		  "quality": -6
        },
        {
          "type": "minecraft:item",
          "functions": [
            {
              "add": false,
              "count": 2.0,
              "function": "minecraft:set_count"
            }
          ],
          "name": "minecraft:dune_armor_trim_smithing_template",
		  "weight": 10
        }
      ],
      "rolls": 1.0
    }
  ]
}
